// matrixTest.c: a program to test the matrix implementation
#include <stdlib.h>
#include <stdio.h>
#include "matrix.h"

#define NUMBER10 10

int main(int argc, char **argv) {
   int retval = EXIT_SUCCESS;

   Matrix m1, m2;
   if (readMatrix(m1) && readMatrix(m2)) {
      printf("== m1 read ==\n");
      printMatrix(m1);

      printf("== m2 read ==\n");
      printMatrix(m2);

      Matrix m1Copy;
      copyMatrix(m1, m1Copy);
      printf("== m1 copied ==");
      if (equalMatrix(m1, m1Copy)) {
         printf(" passed test\n");
      }
      else {
         printf(" failed test\n");
      }

      Matrix m12Add;
      addMatrix(m1, m2, m12Add);
      printf("== m1 + m2 ==");
      if (constMatrix(m12Add, NUMBER10)) {
         printf(" passed test\n");
      }
      else {
         printf(" failed test\n");
      }
   }
   else {
      fprintf(stderr, "%s: read failure\n", argv[0]);
      retval = EXIT_FAILURE;
   }	
   return retval;
}
